Bug 64331 - clustat hangs when cluster not setup
clustat hangs when cluster not setup
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jason Baron
Depends On:
  Show dependency treegraph
Reported: 2002-05-02 12:19 EDT by Tim Burke
Modified: 2013-03-06 00:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-02 12:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Burke 2002-05-02 12:19:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
Install a system and run clustat before configuring the cluster and the clustat
will hang forever.  Similarly, stop the cluster, delete /etc/cluster.conf and
run clustat.

There could be other cluster utilities vulnerable to this problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run clustat when cluster.conf doesn't exist
2.it hangs forever.

Actual Results:  hangs forever

Expected Results:  Exits with error.

Additional info:

This is in some ways at odds with the (much more important) fix put in earlier
to retry if the file doesn't exist.  But in the case of running clustat on a
system which hasn't yet been configured (just to see if the cluster has been
setup already) shouldn't hang forever.
Comment 1 Jason Baron 2002-05-03 12:57:08 EDT
Now, if the cluster has not been set up clustat returns:
"err: /etc/cluster.conf: No such file or directory", instead
of hanging

Note You need to log in before you can comment on or make changes to this bug.